CW grid layout horizontal or vertical

I have a Curtain Wall (The one in the Revit sample).

I want to change this parameter :slight_smile:

But alas when I put ‘Layout’ into my code I only get the Horizontal Grid. I want the Vertical Grid.

Is it possible to do this without Python?

image

@Alien ,

i did it this way


KR
Andreas

Hi,

You must use the built in parameter : "SPACING_LAYOUT_VERT".
archilab has some nodes to set them.

3 Likes

Nope, “Layout” does the horizontal grid, not the vertical one.

@Alien ,

hmmm…

1 Like

Ahhh! I couldn’t find that anywhere! Thanks :slight_smile:

@Alien ,

1 Like

Rather SPACING_LAYOUT_VERT

You can also use the Revit Lookup addin to find the built in parameter names.

1 Like

Still can’t get the vertical grids.

I have tried:
SPACING_LAYOUT_V
SPACING_LAYOUT_VERT
SPACING_LENGTH_V

I’ve tried all that look like they should work but

there is

V and VERT… and H and HORIZ… none of them work!

@Alien ,

you call them by the buildname thats can only used in Python…

import sys
import clr

clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *

clr.AddReference('RevitAPIUI')
from Autodesk.Revit.UI import *

clr.AddReference('System')
from System.Collections.Generic import List

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument
uidoc=DocumentManager.Instance.CurrentUIApplication.ActiveUIDocument

# Die Eingaben für diesen Block werden in Form einer Liste in den IN-Variablen gespeichert.
#.get_Parameter(BuiltInParameter.SPACING_LENGTH_VERT)
walls = UnwrapElement(IN[0])

setPara = []

for i in walls:
	setPara.append(i.get_Parameter(BuiltInParameter.SPACING_LAYOUT_VERT))
	
OUT = setPara

KR

Andreas

See my original post - without Python :smiley:

2 Likes

Not working for me :frowning:

It is a type parameter. You missed the ElementType node.

Oh dear! :man_facepalming: I am really tired today!
(I literally am facepalming)

Thank you!